Member Nodes - Task #6053

MNDeployment # 4247 (Deprecated): EDORA (Environmental Data for the Oak Ridge Area)
Task # 6047 (Closed): Validate EDORA content against the ORNL Mercury schema

Update science metadata files to include ORNL schema type

2014-08-20 00:03 - Chris Jones

Status: In Progress Start date: 2014-08-19
Priority: Normal Due date:

Assignee: Ranjeet Devarakonda % Done: 30%
Category: Estimated time: 0.00 hour
Target version: Operational

Story Points:

Description

Once the ORNL Mercury metadata schema is published at a permanent URI (like http://purl.org/ornl/schema/mercury/terms/v1.1), all
of the instance documents that conform to this schema just declare so, such as:

[ornl:metadata

This unambiguous typing lets consumers of the file know exactly how to parse it.

History

#1 - 2014-08-20 13:52 - Chris Jones

- Assignee changed from Ranjeet Devarakonda to Jim Green

#2 - 2014-08-29 17:32 - Ranjeet Devarakonda

- Assignee changed from Jim Green to Chris Jones

- File Map_Counties_Surrounding ORR_Land_Cover_Landsat NLCD_30m_1992.xml added
- File Map_Counties_Surrounding_ORR_Land_Cover_Landsat NLCD_30m_1992.xml added

Chris-1 haven't heard back from purl.org folks about the domain registration request. So, | will have to proceed with Plan B that we discussed
yesterday, i.e. to add direct location to the server where the XSD actually resides. Please see sample XML and let me know if this works?

#3 - 2014-08-30 00:59 - Chris Jones
- Status changed from New to In Progress

- Assignee changed from Chris Jones to Ranjeet Devarakonda

Hi Ranjeet,

I've looked over the XML instance documents attached. There's a couple issues to address:

1) We decided to go forward with the namespace string of 'http:/purl.org/ornl/schema/mercury/terms/v1.0', and even though you haven't heard back
from the purl.org folks yet, | don't see a problem with it. Skye is updating the CN indexing code to look for this namespace, and I'm adding it to the
object format list on the CNs. So, a namespace of ornlmercury/schema/v1.0 will be problematic. Let's stick with the purl.org persistent URI, and trust
that the registration process will be completed in time.

2) In XML instance documents, the schemalocation attribute should have one or more pairs of URIs, separated by whitespace [1]. The first string in
the pair is the namespace, and the second is a hint as to the physical location of the schema for that namespace. So, the documents need to be
corrected to have the root element look like:

[ornl:metadata
http://purl.org/ornl/schema/mercury/terms/v1.1
redmine.dataone.org/ornl:metadata
http://purl.org/ornl/schema/mercury/terms/v1.0
redmine.dataone.org/ornl:metadata

Notice the single space between the namespace and the physical location. If you want the physical location hint to be a web URI, you could
alternatively use:

xsi:schemalocation="http://purl.org/ornl/schema/mercury/terms/v1.0 http://mercury-ops2.ornl.gov/metadata/schema/mercury-ornl-vi.xsd">

[1] See http://www.w3.0rg/TR/2004/REC-xmlIschema-0-20041028/#schemal ocation

#4 - 2014-09-29 21:25 - Laura Moyers
- Target version changed from Deploy by end of Y1Q1 to Deploy by end of NCTE

#5 - 2014-11-24 14:57 - Laura Moyers
- Target version changed from Deploy by end of NCTE to Operational

Files

Map_Counties_Surrounding_ORR_Land_Cover_Landsat_NLCD_30m7139&&ml 2014-08-29 Ranjeet Devarakonda
